export default {
  'layout.header.functions': 'Functions',
  'layout.header.settings': 'Settings',
  'layout.header.menu.newOrganization': 'New Organization',
  'layout.header.menu.settings': 'Settings',
  'layout.header.menu.theme': 'Theme',
  'layout.header.menu.theme.light': 'Light',
  'layout.header.menu.theme.dark': 'Dark',
  'layout.header.menu.theme.system': 'System',
  'layout.header.menu.profile': 'Profile',
  'layout.header.menu.language': 'Language: {locale}',
  'layout.header.menu.language.en': 'English',
  'layout.header.menu.language.fr': 'French',
  'layout.header.menu.signOut': 'Sign out',
  'layout.empty.title': 'No Organization found',
  'layout.empty.description': 'Please create an Organization to get started.',
  'layout.empty.action': 'Create Organization',

  'home.title': 'Functions',
  'home.createFunction': 'Create a Function',
  'home.empty.title': 'No Functions found',
  'home.empty.description': 'Start by creating a new Function by clicking the button in the right corner.',
  'home.list.lastUpdate': 'Last update:',

  'settings.title': 'Settings',
  'settings.name.title': 'Name',
  'settings.name.description': 'Change the name of this Organization.',
  'settings.name.placeholder': 'Organization name',
  'settings.name.submit': 'Update',
  'settings.name.success': 'Organization name updated successfully.',

  'settings.description.title': 'Description',
  'settings.description.description': 'Change the description of this Organization.',
  'settings.description.placeholder': 'Organization description',
  'settings.description.submit': 'Update',
  'settings.description.success': 'Organization description updated successfully.',

  'settings.transfer.title': 'Transfer',
  'settings.transfer.description': 'Transfer the ownership of this Organization to another user.',
  'settings.transfer.placeholder': 'New Owner email',
  'settings.transfer.submit': 'Transfer ownership',
  'settings.transfer.success': 'Ownership of this Organization transferred successfully.',

  'settings.delete.title': 'Delete',
  'settings.delete.description':
    'Delete completely this Organization, its Functions, Deployments and Logs. This action is irreversible.',
  'settings.delete.submit': 'Delete',
  'settings.delete.modal.title': 'Delete Organization',
  'settings.delete.modal.description': "Write this Organization's name to confirm deletion: {organizationName}",
  'settings.delete.modal.error': 'Confirm with the name of this Organisation',
  'settings.delete.modal.submit': 'Delete Organization',
  'settings.delete.success': 'Organization deleted successfully.',

  'profile.title': 'Profile',
  'profile.information.title': 'Information',
  'profile.information.description': 'Edit your account information like your name and email.',
  'profile.information.name.title': 'Name',
  'profile.information.name.placeholder': 'John Doe',
  'profile.information.email.title': 'Email',
  'profile.information.email.placeholder': 'john@doe.com',
  'profile.information.submit': 'Update',
  'profile.information.success': 'Information updated successfully.',

  'profile.tokens.title': 'Tokens',
  'profile.tokens.description': 'Below are your personal Tokens, used for the CLI.',
  'profile.tokens.created': 'Created:',
  'profile.tokens.delete.submit': 'Delete',
  'profile.tokens.delete.modal.title': 'Delete Token',
  'profile.tokens.delete.modal.description':
    'Are you sure you want to delete this Token? You will lose access to the CLI if it is still used.',
  'profile.tokens.delete.modal.submit': 'Delete Token',
  'profile.tokens.delete.success': 'Token has been deleted.',

  'profile.delete.title': 'Delete',
  'profile.delete.description': 'Delete permanentently this account. This action is irreversible.',
  'profile.delete.submit': 'Delete',
  'profile.delete.modal.title': 'Delete Account',
  'profile.delete.modal.description': 'Write your account email to confirm deletion: {email}',
  'profile.delete.modal.confirm': 'Confirm with your email',
  'profile.delete.modal.submit': 'Delete Account',

  'cli.title': 'Log in to the CLI',
  'cli.description': 'This is your verification code to login in the CLI. Copy it and paste it in your terminal.',
  'cli.copy': 'Click to copy',
  'cli.copy.success': 'Copied to clipboard!',

  'new.success': 'Organization created successfully.',
  'new.name.title': 'Name',
  'new.name.placeholder': 'awesome-project',
  'new.description.title': 'Description',
  'new.description.placeholder': 'Description of my awesome project.',
  'new.submit': 'Create Organization',

  'playground.title': '{functionName} playground',
  'playground.back': 'Back to overview',
  'playground.deploy': 'Deploy',
  'playground.deploy.success': 'Function deployed successfully.',
  'playground.deploy.error': 'Failed to deploy Function.',
  'playground.reload': 'Reload',

  'function.nav.playground': 'Playground',
  'function.nav.overview': 'Overview',
  'function.nav.deployments': 'Deployments',
  'function.nav.logs': 'Logs',
  'function.nav.settings': 'Settings',

  'functions.overview.usage': 'Usage & Limits',
  'functions.overview.usage.requests': 'Requests',
  'functions.overview.usage.avgCpu': 'Avg. CPU time',
  'functions.overview.usage.avgInBytes': 'Avg. IN bytes',
  'functions.overview.usage.avgOutBytes': 'Avg. OUT bytes',
  'functions.overview.usage.lastUpdate': 'Last update:',
  'functions.overview.usage.created': 'Created:',
  'functions.overview.requests': 'Requests',
  'functions.overview.requests.label': 'Requests',
  'functions.overview.cpuTime': 'CPU time',
  'functions.overview.cpuTime.label': 'CPU time',
  'functions.overview.network': 'Network',
  'functions.overview.network.label.inBytes': 'IN bytes',
  'functions.overview.network.label.outBytes': 'OUT bytes',

  'functions.deployments.empty.title': 'No Deployments found',
  'functions.deployments.empty.description': 'Create your first Deployment from the Playground or with the CLI.',
  'functions.deployments.empty.action': 'Go to Playground',
  'functions.deployments.list.current': 'Current deployment',
  'functions.deployments.list.noCommit': 'No commit linked',
  'functions.deployments.list.by': 'By:',
  'functions.deployments.rollback': 'Rollback',
  'functions.deployments.rollback.modal.title': 'Rollback Deployment',
  'functions.deployments.rollback.modal.description': 'Are you sure you want to rollback to this Deployment?',
  'functions.deployments.rollback.modal.submit': 'Rollback',
  'functions.deployments.rollback.success': 'Deployment rollbacked successfully.',
  'functions.deployments.delete': 'Delete',
  'functions.deployments.delete.modal.title': 'Delete Deployment',
  'functions.deployments.delete.modal.description': 'Are you sure you want to delete this Deployment?',
  'functions.deployments.delete.modal.submit': 'Delete',
  'functions.deployments.delete.success': 'Deployment deleted successfully.',

  'functions.logs.title': 'Live Logs & Errors',
  'functions.logs.logLevel': 'Log level:',
  'functions.logs.empty.title': 'No logs found',
  'functions.logs.empty.description': "Try to add some 'console.log', or adjust the filters at the top-right.",

  'functions.settings.name.title': 'Name',
  'functions.settings.name.description':
    'Change the name of this Function. Note that changing the name also changes the default domain.',
  'functions.settings.name.placeholder': 'my-awesome-function',
  'functions.settings.name.submit': 'Update',
  'functions.settings.name.success': 'Function name updated successfully.',
  'functions.settings.domains.title': 'Domains',
  'functions.settings.domains.description':
    "The default domain is based on this Function's name. You can also add custom domains.",
  'functions.settings.domains.default': 'Default domain',
  'functions.settings.domains.custom': 'Custom domains',
  'functions.settings.domains.custom.placeholder': 'mydomain.com',
  'functions.settings.domains.update': 'Update',
  'functions.settings.domains.success': 'Function domains updated successfully.',
  'functions.settings.cron.title': 'Cron',
  'functions.settings.cron.description':
    'Run this Function automatically at a scheduled rate using a Cron expression. You can also choose in which Region to run the Function.',
  'functions.settings.cron.expression': 'Expression',
  'functions.settings.cron.expression.placeholder': '* */12 * * *',
  'functions.settings.cron.region': 'Region',
  'functions.settings.cron.submit': 'Update',
  'functions.settings.cron.success': 'Function Cron updated successfully.',
  'functions.settings.env.title': 'Environment variables',
  'functions.settings.env.description': 'Environment variables are injected into your Function at runtime.',
  'functions.settings.env.placeholder.key': 'KEY',
  'functions.settings.env.placeholder.value': 'secret-value',
  'functions.settings.env.add': 'Add',
  'functions.settings.env.remove': 'Remove',
  'functions.settings.env.submit': 'Submit',
  'functions.settings.env.success': 'Function environment variables updated successfully.',
  'functions.settings.delete.title': 'Delete',
  'functions.settings.delete.description':
    'Delete completely this Function, its Deployments and Logs. This action is irreversible.',
  'functions.settings.delete.submit': 'Delete',
  'functions.settings.delete.modal.title': 'Delete Function',
  'functions.settings.delete.modal.description': "Write this Function's name to confirm deletion: {functionName}",
  'functions.settings.delete.modal.confirm': 'Confirm with the name of this Function',
  'functions.settings.delete.modal.submit': 'Delete Function',
  'functions.settings.delete.success': 'Function deleted successfully.',
} as const;
